Subject: Re: [PATCH 1/3] mpc83xx: Power Management support

From: Scott Wood <[email-masked]>
Date: Thu, 26 Jun 2008 09:07:44 -0500

Kumar Gala wrote:
> 
> On Jun 25, 2008, at 4:50 PM, Scott Wood wrote:
> 
>> Basic PM support for 83xx.  Standby is implemented as sleep.
>> Suspend-to-RAM is implemented as "deep sleep" (with the processor
>> turned off) on 831x.  PCI agent power management is supported.
>>
>> Device power management of SOC peripherals is not yet supported.
> 
> (Not comments on this patch, but related)
> 
> Do you know if anyone is looking at making sure DOZE/NAP work on 83xx?  
> We clearly don't flush the L1 cache today in the 6xx code.

Doze should work (a long time ago when I did power measurements I saw a 
drop in consumption once Linux started, and the system was idle)...  Nap 
is not supported, and should probably be removed from the e300 cputable 
entry.  I don't think it's worthwhile to flush the cache every time the 
cpu is idle just to nap instead of doze.

-Scott